# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: inventory

# t.belongs_to  :user, index: true
# t.belongs_to  item, index: true
# t.boolean     :being_used, default: false
# t.datetime    "created_at"
# t.datetime    "updated_at"

class UserItem < ApplicationRecord
  belongs_to :user
  belongs_to :item

  validates_presence_of :item, :user

  def unlocked_by_achievement?
    self.item.achievable?
  end

  def unlocked_by_purchase?
    !self.item.achievable?
  end
end
